@import "../css/style.css";


/* Inputs */
.field {
    position: relative;
    margin-bottom: 4%;
}

.field input {
    width: 100%;
    padding: 14px 14px 14px 44px;
    border-radius: 14px;
    border: 1px solid var(--color-border-input-modal);
    font-size: 15px;
    background-color: var(--color-fondo-input-modal);
    transition: .25s;
    color: var(--color-tipografia-input-modal);
}

.field select {
    width: 100%;
    padding: 14px 14px 14px 44px;
    border-radius: 14px;
    border: 1px solid var(--color-border-input-modal);
    font-size: 15px;
    background-color: var(--color-fondo-input-modal);
    transition: .25s;
    color: var(--color-tipografia-input-modal);
}

.field input::placeholder {
    color: var(--color-placeholder-input-modal);
}

.field input:focus {
    outline: none;
    border-color: #38bdf8;
    box-shadow: 0 0 0 3px rgba(79, 70, 229, .15);
    color: var(color-tipografia-input-modal);
}

/* Icono */
.field .icon {
    position: absolute;
    top: 50%;
    left: 14px;
    transform: translateY(-50%);
    opacity: .7;
    pointer-events: none;
}






.field.error input {
    border: 1px solid #e74c3c;
    /* rojo */
    background-color: rgba(255, 0, 0, 0.083);
    box-shadow: 0 0 0 3px rgba(255, 0, 0, 0.328);
}


.field.error input::placeholder {
    color: rgba(255, 0, 0, 0.445);
    ;
}

.field.error select {
    border: 1px solid #e74c3c;
    /* rojo */
    background-color: rgba(255, 0, 0, 0.083);
    box-shadow: 0 0 0 3px rgba(255, 0, 0, 0.328);
}

.field.error option{
    background-color:var(--color-border-form-modal);
}

.field-error {
    color: #e74c3c;
    font-size: 0.85rem;
    margin-top: 4px;
    display: block;
}



.container-message {
    width: 100%;
    height: 30px;
    display: flex;
    align-items: center;
}

.message-error {
    color: red;
    font-size: 18px;
}


.message-success {
    color: green;
    font-size: 18px;
}



.modal-loader-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-show-modal);
    /* overlay semitransparente */
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    /* no bloquea clicks mientras está oculto */
    transition: opacity 0.3s ease;
    z-index: 10;
    border-radius: 20px;
}

.modal-loader-overlay.show {
    opacity: 1;
    pointer-events: all;
    /* bloquea mientras está visible */
}

.loader-gif {
    width: 80px;
    height: 80px;
}

.field .control-autollened{
    background-color:rgba(50, 205, 50, 0.285);
    border: solid 1px limegreen;
}

.field .control-autollened option{
    background-color:var(--color-border-form-modal);
}

